summaryrefslogtreecommitdiff
path: root/dev-ruby/http-cookie
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/http-cookie
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/http-cookie')
-rw-r--r--dev-ruby/http-cookie/Manifest2
-rw-r--r--dev-ruby/http-cookie/http-cookie-1.0.8.ebuild29
-rw-r--r--dev-ruby/http-cookie/http-cookie-1.1.0.ebuild33
-rw-r--r--dev-ruby/http-cookie/metadata.xml9
4 files changed, 73 insertions, 0 deletions
diff --git a/dev-ruby/http-cookie/Manifest b/dev-ruby/http-cookie/Manifest
new file mode 100644
index 000000000000..606f1d9858c5
--- /dev/null
+++ b/dev-ruby/http-cookie/Manifest
@@ -0,0 +1,2 @@
+DIST http-cookie-1.0.8.gem 40960 BLAKE2B f00aaefa3df170cd66bc8106211c0e20150f08984cd3890dfdd539b6dd706f67a727033ab177d0fc32d545c02064e7b43305809d8fa1507309550639df21985e SHA512 2331da73f2c077e9582d609a08a60a247c0b44b8e4a7be820ac3ed630a05779b985a19de3ed94a5a4753f401be0392d364313498b03475c442ed4859d2a142cd
+DIST http-cookie-1.1.0.tar.gz 36867 BLAKE2B 4a0551d7a2f49dc830976649ba5a5e20d8d2f531057abdd50fd0b89f0cd31207c57465019f8384e8d5b3a43d25b607b3af102c97a8c1dd8dddcd5094e7d0c5bd SHA512 4e63ea323dfadec2cacef04c5517936c6b0c563a3102aaf0bf9eecd3d22c948b12a7d69b47894dca5a6da4522246505d528ab156ca15e5a6c29dc746ace9f5e8
diff --git a/dev-ruby/http-cookie/http-cookie-1.0.8.ebuild b/dev-ruby/http-cookie/http-cookie-1.0.8.ebuild
new file mode 100644
index 000000000000..00254a4cb4c8
--- /dev/null
+++ b/dev-ruby/http-cookie/http-cookie-1.0.8.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A ruby library to handle HTTP cookies"
+HOMEPAGE="https://github.com/sparklemotion/http-cookie"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+# See https://github.com/sparklemotion/http-cookie/issues/16 for dropping domain_name
+ruby_add_rdepend ">=dev-ruby/domain_name-0.5:0"
+
+all_ruby_prepare() {
+ sed -i -e "/simplecov/d" -e "/bundler/d" Rakefile || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib test/test_http_cookie.rb || die
+ ${RUBY} -Ilib test/test_http_cookie_jar.rb || die
+}
diff --git a/dev-ruby/http-cookie/http-cookie-1.1.0.ebuild b/dev-ruby/http-cookie/http-cookie-1.1.0.ebuild
new file mode 100644
index 000000000000..35d73ca5ee3a
--- /dev/null
+++ b/dev-ruby/http-cookie/http-cookie-1.1.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="http-cookie.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A ruby library to handle HTTP cookies"
+HOMEPAGE="https://github.com/sparklemotion/http-cookie"
+SRC_URI="https://github.com/sparklemotion/http-cookie/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# See https://github.com/sparklemotion/http-cookie/issues/16 for dropping domain_name
+ruby_add_rdepend ">=dev-ruby/domain_name-0.5:0"
+
+all_ruby_prepare() {
+ sed -i -e "/simplecov/d" -e "/bundler/d" Rakefile || die
+ sed -e 's/git ls-files/find/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib test/test_http_cookie.rb || die
+ ${RUBY} -Ilib test/test_http_cookie_jar.rb || die
+}
diff --git a/dev-ruby/http-cookie/metadata.xml b/dev-ruby/http-cookie/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/http-cookie/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>